Subject: Re: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: "Tim Van Holder" <[email-masked]>
Date: Wed, 1 Oct 2008 10:12:37 +0200

On Wed, Oct 1, 2008 at 2:01 AM, Chong Yidong <[email-masked]> wrote:
> Thanks for the backtrace.
>
> Could you go to the third breakpoint, i.e.
>
>  Fset_frame_size (frame=147078268, cols=896, rows=384)
>
> and check the following variables?
>
> n
> n
> n
> n (until f is assigned)
> p f->new_text_lines
> p f->new_text_cols
>
> Also, could you send me the minimal .emacs and .Xresources required to
> reproduce this bug for you?
>
> Thanks.

gdb log attached.
Note: 'f' was not available inside Fset_frame_size (due to
optimization perhaps),
so I got the info inside x_set_window_size() instead.

My recipe:
- set aside .emacs (I have no .Xresources)
- run emacs (-> gets me an 80x37 frame)
- run emacs --geometry 132x60 ( gets me an 132x57 frame)
  => these are explained by menu/toolbars, if I disable those, X reports the
       window as 132x60; while this bothers me a little, if it just means I have
       to ask for 132x63, that would be fine I guess
- customize-face default, set font to terminus (foundry xos4), and height to 135
- run emacs --geometry 132x60
  -> erratic results

Checking now, it looks like it's the terminus font causing the current troubles,
a few other fonts I've checked (e.g. adobe courier) seem to end up at 132x57
reliably.
This puzzles me, as I am sure I originally reproduced it by changing only the
font height and keeping the font itself unchanged.
I'm also getting max-specpdl-size exceeded on C-x 5 2, so I cannot check the
previously observed behaviour that even when the initial frame is erratically
sized, subsequent frames are fine.